Bug 192105 - Crash when visiting http://www.sourceforge.net/
Summary: Crash when visiting http://www.sourceforge.net/
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: 4.2.2
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 193148 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-05-09 11:02 UTC by Christoph Berg
Modified: 2009-05-22 19:04 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Berg 2009-05-09 11:02:59 UTC
Version:            (using KDE 4.2.2)
Compiler:          gcc 4.4 
OS:                Linux
Installed from:    Unlisted Binary Package

When visiting SourceForge's main website, Konqueror crashes after having loaded the page 99%. The statusbar shows that it is trying to load images. I get this crash whenever I visit SourceForge's main website.

The crash happens in khtml/rendering/render_line.cpp, line 175. I looked at the source and saw that its an assert evaluating isRootInlineBox(), which seems to fail:

Anwendung: Konqueror (konqueror), Signal SIGSEGV

Thread 1 (Thread 0xb5b20710 (LWP 5166)):
[KCrash Handler]
#6  0x00000000 in ?? ()
#7  0xb3b943f1 in khtml::InlineBox::root (this=0x9e92540) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/rendering/render_line.cpp:175
#8  0xb3b49373 in khtml::RenderText::detach (this=0x9e56f50) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/rendering/render_text.cpp:717
#9  0xb3a67f9c in DOM::NodeImpl::detach (this=0x9e71620) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_nodeimpl.cpp:971
#10 0xb3a76c6b in DOM::ElementImpl::detach (this=0x9e71620) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:862
#11 0xb3a686a8 in DOM::NodeBaseImpl::detach (this=0x9e6f638) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_nodeimpl.cpp:1733
#12 0xb3a76c6b in DOM::ElementImpl::detach (this=0x9e6f638) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:862
#13 0xb3a686a8 in DOM::NodeBaseImpl::detach (this=0x9e6f050) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_nodeimpl.cpp:1733
#14 0xb3a76c6b in DOM::ElementImpl::detach (this=0x9e6f050) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:862
#15 0xb3a686a8 in DOM::NodeBaseImpl::detach (this=0x9e6ee50) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_nodeimpl.cpp:1733
#16 0xb3a76c6b in DOM::ElementImpl::detach (this=0x9e6ee50) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:862
#17 0xb3a76b9e in DOM::ElementImpl::recalcStyle (this=0x9e6ee50, change=DOM::NodeImpl::NoInherit) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:936
#18 0xb3ac40d9 in DOM::HTMLElementImpl::recalcStyle (this=0x9e6ee50, ch=DOM::NodeImpl::NoInherit) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/html_elementimpl.cpp:269
#19 0xb3a76ab7 in DOM::ElementImpl::recalcStyle (this=0x9e6ec40, change=DOM::NodeImpl::NoInherit) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:967
#20 0xb3ac40d9 in DOM::HTMLElementImpl::recalcStyle (this=0x9e6ec40, ch=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/html_elementimpl.cpp:269
#21 0xb3a76ab7 in DOM::ElementImpl::recalcStyle (this=0x9e653b0, change=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:967
#22 0xb3ac40d9 in DOM::HTMLElementImpl::recalcStyle (this=0x9e653b0, ch=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/html_elementimpl.cpp:269
#23 0xb3a76ab7 in DOM::ElementImpl::recalcStyle (this=0x9e60890, change=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:967
#24 0xb3ac40d9 in DOM::HTMLElementImpl::recalcStyle (this=0x9e60890, ch=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/html_elementimpl.cpp:269
#25 0xb3a76ab7 in DOM::ElementImpl::recalcStyle (this=0x9d61148, change=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:967
#26 0xb3ac40d9 in DOM::HTMLElementImpl::recalcStyle (this=0x9d61148, ch=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/html_elementimpl.cpp:269
#27 0xb3a76ab7 in DOM::ElementImpl::recalcStyle (this=0x9d60e30, change=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:967
#28 0xb3ac40d9 in DOM::HTMLElementImpl::recalcStyle (this=0x9d60e30, ch=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/html_elementimpl.cpp:269
#29 0xb3a76ab7 in DOM::ElementImpl::recalcStyle (this=0x9af6490, change=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:967
#30 0xb3ac40d9 in DOM::HTMLElementImpl::recalcStyle (this=0x9af6490, ch=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/html_elementimpl.cpp:269
#31 0xb3a76ab7 in DOM::ElementImpl::recalcStyle (this=0x9af6520, change=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:967
#32 0xb3ac40d9 in DOM::HTMLElementImpl::recalcStyle (this=0x9af6520, ch=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/html_elementimpl.cpp:269
#33 0xb3a76ab7 in DOM::ElementImpl::recalcStyle (this=0x989acd8, change=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_elementimpl.cpp:967
#34 0xb3ac40d9 in DOM::HTMLElementImpl::recalcStyle (this=0x989acd8, ch=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/html_elementimpl.cpp:269
#35 0xb3a58bdf in DOM::DocumentImpl::recalcStyle (this=0x989adf0, change=DOM::NodeImpl::NoChange) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_docimpl.cpp:1445
#36 0xb3a4eb78 in DOM::DocumentImpl::updateRendering (this=0x9e92234) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_docimpl.cpp:1474
#37 0xb3a5c2f6 in DOM::DocumentImpl::updateLayout (this=0x989adf0) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_docimpl.cpp:1503
#38 0xb3c436ce in KJS::DOMNode::getValueProperty (this=0xb06e4d60, exec=0xbfc83154, token=56) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/ecma/kjs_dom.cpp:365
#39 0xb3862e3c in KJS::JSObject::get (this=0xb06e4d60, exec=0xbfc83154, propertyName=@0x9ba0c5c) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/property_slot.h:46
#40 0xb387c539 in KJS::Machine::runBlock (exec=0xbfc83154, codeBlock=@0x9e92234, parentExec=0xbfc834d4) at codes.def:673
#41 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb09a4000, exec=0xbfc834d4, thisObj=0xb0ac0000, args=@0xbfc83454) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#42 0xb3863900 in KJS::JSObject::call (this=0xb09a4000, exec=0xbfc834d4, thisObj=0xb0ac0000, args=@0xbfc83454) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#43 0xb38827a9 in KJS::Machine::runBlock (exec=0xbfc834d4, codeBlock=@0x9e92234, parentExec=0xbfc83904) at codes.def:1192
#44 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb09a0280, exec=0xbfc83904, thisObj=0xb09b71c0, args=@0xbfc83630) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#45 0xb3863900 in KJS::JSObject::call (this=0xb09a0280, exec=0xbfc83904, thisObj=0xb09b71c0, args=@0xbfc83630) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#46 0xb383eafa in KJS::FunctionProtoFunc::callAsFunction (this=0xb0ab0060, exec=0xbfc83904, thisObj=0xb09a0280, args=@0xbfc83884)
    at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function_object.cpp:139
#47 0xb3863900 in KJS::JSObject::call (this=0xb0ab0060, exec=0xbfc83904, thisObj=0xb09a0280, args=@0xbfc83884) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#48 0xb38827a9 in KJS::Machine::runBlock (exec=0xbfc83904, codeBlock=@0x9e92234, parentExec=0xbfc83c84) at codes.def:1192
#49 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb0ab1fa0, exec=0xbfc83c84, thisObj=0xb0ab1100, args=@0xbfc83c04) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#50 0xb3863900 in KJS::JSObject::call (this=0xb0ab1fa0, exec=0xbfc83c84, thisObj=0xb0ab1100, args=@0xbfc83c04) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#51 0xb38827a9 in KJS::Machine::runBlock (exec=0xbfc83c84, codeBlock=@0x9e92234, parentExec=0xbfc84004) at codes.def:1192
#52 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb0ab13a0, exec=0xbfc84004, thisObj=0xb09a0400, args=@0xbfc83f84) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#53 0xb3863900 in KJS::JSObject::call (this=0xb0ab13a0, exec=0xbfc84004, thisObj=0xb09a0400, args=@0xbfc83f84) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#54 0xb38827a9 in KJS::Machine::runBlock (exec=0xbfc84004, codeBlock=@0x9e92234, parentExec=0xbfc84384) at codes.def:1192
#55 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb09a4080, exec=0xbfc84384, thisObj=0xb09a0400, args=@0xbfc84304) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#56 0xb3863900 in KJS::JSObject::call (this=0xb09a4080, exec=0xbfc84384, thisObj=0xb09a0400, args=@0xbfc84304) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#57 0xb38827a9 in KJS::Machine::runBlock (exec=0xbfc84384, codeBlock=@0x9e92234, parentExec=0xbfc847b4) at codes.def:1192
#58 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb09a40c0, exec=0xbfc847b4, thisObj=0xb09b5ec0, args=@0xbfc844e0) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#59 0xb3863900 in KJS::JSObject::call (this=0xb09a40c0, exec=0xbfc847b4, thisObj=0xb09b5ec0, args=@0xbfc844e0) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#60 0xb383eafa in KJS::FunctionProtoFunc::callAsFunction (this=0xb0ab0060, exec=0xbfc847b4, thisObj=0xb09a40c0, args=@0xbfc84734)
    at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function_object.cpp:139
#61 0xb3863900 in KJS::JSObject::call (this=0xb0ab0060, exec=0xbfc847b4, thisObj=0xb09a40c0, args=@0xbfc84734) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#62 0xb38827a9 in KJS::Machine::runBlock (exec=0xbfc847b4, codeBlock=@0x9e92234, parentExec=0xbfc84be4) at codes.def:1192
#63 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb09a4280, exec=0xbfc84be4, thisObj=0xb09b5ec0, args=@0xbfc84910) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#64 0xb3863900 in KJS::JSObject::call (this=0xb09a4280, exec=0xbfc84be4, thisObj=0xb09b5ec0, args=@0xbfc84910) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#65 0xb383eafa in KJS::FunctionProtoFunc::callAsFunction (this=0xb0ab0060, exec=0xbfc84be4, thisObj=0xb09a4280, args=@0xbfc84b64)
    at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function_object.cpp:139
#66 0xb3863900 in KJS::JSObject::call (this=0xb0ab0060, exec=0xbfc84be4, thisObj=0xb09a4280, args=@0xbfc84b64) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#67 0xb38827a9 in KJS::Machine::runBlock (exec=0xbfc84be4, codeBlock=@0x9e92234, parentExec=0xbfc85014) at codes.def:1192
#68 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb09bb4a0, exec=0xbfc85014, thisObj=0xb09a4280, args=@0xbfc84d40) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#69 0xb3863900 in KJS::JSObject::call (this=0xb09bb4a0, exec=0xbfc85014, thisObj=0xb09a4280, args=@0xbfc84d40) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#70 0xb383eafa in KJS::FunctionProtoFunc::callAsFunction (this=0xb0ab0060, exec=0xbfc85014, thisObj=0xb09bb4a0, args=@0xbfc84f94)
    at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function_object.cpp:139
#71 0xb3863900 in KJS::JSObject::call (this=0xb0ab0060, exec=0xbfc85014, thisObj=0xb09bb4a0, args=@0xbfc84f94) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#72 0xb38827a9 in KJS::Machine::runBlock (exec=0xbfc85014, codeBlock=@0x9e92234, parentExec=0xbfc85394) at codes.def:1192
#73 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb0ab1fa0, exec=0xbfc85394, thisObj=0xb0ab1100, args=@0xbfc85314) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#74 0xb3863900 in KJS::JSObject::call (this=0xb0ab1fa0, exec=0xbfc85394, thisObj=0xb0ab1100, args=@0xbfc85314) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#75 0xb38827a9 in KJS::Machine::runBlock (exec=0xbfc85394, codeBlock=@0x9e92234, parentExec=0x9ad76c0) at codes.def:1192
#76 0xb385eecd in KJS::FunctionImp::callAsFunction (this=0xb0ab55a0, exec=0x9ad76c0, thisObj=0xb09b5ec0, args=@0xbfc854ec) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/function.cpp:144
#77 0xb3863900 in KJS::JSObject::call (this=0xb0ab55a0, exec=0x9ad76c0, thisObj=0xb09b5ec0, args=@0xbfc854ec) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kjs/object.cpp:69
#78 0xb3cb3958 in KJS::JSEventListener::handleEvent (this=0x9ad5cc0, evt=@0xbfc85540) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/ecma/kjs_events.cpp:106
#79 0xb3a6c078 in DOM::NodeImpl::handleLocalEvents (this=0x989adfc, evt=0x9f87640, useCapture=false) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_nodeimpl.cpp:714
#80 0xb3a6c572 in DOM::NodeImpl::dispatchGenericEvent (this=0x989adfc, evt=0x9f87640) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_nodeimpl.cpp:499
#81 0xb3a6df2a in DOM::NodeImpl::dispatchWindowEvent (this=0x989adfc, _id=36, canBubbleArg=<value optimized out>, cancelableArg=<value optimized out>)
    at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/xml/dom_nodeimpl.cpp:564
#82 0xb39dfdb0 in KHTMLPart::slotFinishedParsing (this=0x976be50) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/khtml_part.cpp:2203
#83 0xb3a0ecb3 in KHTMLPart::qt_metacall (this=0x976be50, _c=QMetaObject::InvokeMetaMethod, _id=22, _a=0xbfc8572c) at /home/jan/kdemod/core/kdelibs/src/build/khtml/khtml_part.moc:268
#84 0xb7124831 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#85 0xb71254a2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#86 0xb3a4f167 in DOM::DocumentImpl::finishedParsing (this=0x989adf0) at /home/jan/kdemod/core/kdelibs/src/build/khtml/dom_docimpl.moc:79
#87 0xb3a4f1c5 in DOM::DocumentImpl::qt_metacall (this=0x989adf0, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfc8585c) at /home/jan/kdemod/core/kdelibs/src/build/khtml/dom_docimpl.moc:68
#88 0xb3ac89c7 in DOM::HTMLDocumentImpl::qt_metacall (this=0x989adf0, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfc8585c) at /home/jan/kdemod/core/kdelibs/src/build/khtml/html_documentimpl.moc:63
#89 0xb7124831 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#90 0xb71254a2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#91 0xb3a89e07 in khtml::Tokenizer::finishedParsing (this=0x9931788) at /home/jan/kdemod/core/kdelibs/src/build/khtml/xml_tokenizer.moc:77
#92 0xb3aabcb9 in khtml::HTMLTokenizer::end (this=0x9931788) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/htmltokenizer.cpp:1947
#93 0xb3ab586c in khtml::HTMLTokenizer::write (this=0x9931788, str=@0xbfc859b4, appendData=false) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/htmltokenizer.cpp:1906
#94 0xb3ab083f in khtml::HTMLTokenizer::notifyFinished (this=0x9931788) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/html/htmltokenizer.cpp:2136
#95 0xb3bfaadd in khtml::CachedScript::checkNotify (this=0x9c20bf0) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/misc/loader.cpp:389
#96 0xb3bfacec in khtml::CachedScript::data (this=0x9c20bf0, buffer=@0x9a97aec, eof=true) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/misc/loader.cpp:381
#97 0xb3bfa79d in khtml::Loader::slotFinished (this=0x979afb0, job=0x9ac37c8) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/khtml/misc/loader.cpp:1407
#98 0xb3c01f07 in khtml::Loader::qt_metacall (this=0x979afb0, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbfc85c98) at /home/jan/kdemod/core/kdelibs/src/build/khtml/loader.moc:131
#99 0xb7124831 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#100 0xb71254a2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#101 0xb73516a3 in KJob::result (this=0x9ac37c8, _t1=0x9ac37c8) at /home/jan/kdemod/core/kdelibs/src/build/kdecore/kjob.moc:188
#102 0xb7351bb9 in KJob::emitResult (this=0x9ac37c8) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kdecore/jobs/kjob.cpp:294
#103 0xb7b706a0 in KIO::SimpleJob::slotFinished (this=0x9ac37c8) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kio/kio/job.cpp:489
#104 0xb7b7192a in KIO::TransferJob::slotFinished (this=0x9ac37c8) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kio/kio/job.cpp:966
#105 0xb7b6e743 in KIO::TransferJob::qt_metacall (this=0x9ac37c8, _c=QMetaObject::InvokeMetaMethod, _id=47, _a=0xbfc85efc) at /home/jan/kdemod/core/kdelibs/src/build/kio/jobclasses.moc:343
#106 0xb7124831 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#107 0xb71254a2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#108 0xb7c422f7 in KIO::SlaveInterface::finished (this=0x9bbd6f8) at /home/jan/kdemod/core/kdelibs/src/build/kio/slaveinterface.moc:165
#109 0xb7c46695 in KIO::SlaveInterface::dispatch (this=0x9bbd6f8, _cmd=104, rawdata=@0xbfc860a8) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kio/kio/slaveinterface.cpp:175
#110 0xb7c427d9 in KIO::SlaveInterface::dispatch (this=0x9bbd6f8) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kio/kio/slaveinterface.cpp:91
#111 0xb7c31eba in KIO::Slave::gotInput (this=0x9bbd6f8) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kio/kio/slave.cpp:322
#112 0xb7c348eb in KIO::Slave::qt_metacall (this=0x9bbd6f8, _c=QMetaObject::InvokeMetaMethod, _id=30, _a=0xbfc861fc) at /home/jan/kdemod/core/kdelibs/src/build/kio/slave.moc:76
#113 0xb7124831 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#114 0xb71254a2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#115 0xb7b35c37 in KIO::Connection::readyRead (this=0x9a7e9e0) at /home/jan/kdemod/core/kdelibs/src/build/kio/connection.moc:86
#116 0xb7b385ac in KIO::ConnectionPrivate::dequeue (this=0x9eef6b0) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kio/kio/connection.cpp:82
#117 0xb7b38736 in KIO::Connection::qt_metacall (this=0x9a7e9e0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x9a355c0) at /home/jan/kdemod/core/kdelibs/src/build/kio/connection.moc:73
#118 0xb711d2db in QMetaCallEvent::placeMetaCall () from /usr/lib/libQtCore.so.4
#119 0xb711e9de in QObject::event () from /usr/lib/libQtCore.so.4
#120 0xb670e6ac in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#121 0xb6715e44 in QApplication::notify () from /usr/lib/libQtGui.so.4
#122 0xb7727bba in KApplication::notify (this=0xbfc86adc, receiver=0x9a7e9e0, event=0x9f3e920) at /home/jan/kdemod/core/kdelibs/src/kdelibs-4.2.3/kdeui/kernel/kapplication.cpp:307
#123 0xb710e74b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#124 0xb710f208 in QCoreApplicationPrivate::sendPostedEvents () from /usr/lib/libQtCore.so.4
#125 0xb710f3dd in QCoreApplication::sendPostedEvents () from /usr/lib/libQtCore.so.4
#126 0xb7139def in ?? () from /usr/lib/libQtCore.so.4
#127 0xb5e79718 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#128 0xb5e7cc7b in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#129 0xb5e7cdf8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#130 0xb7139a1c in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#131 0xb67ad5c5 in ?? () from /usr/lib/libQtGui.so.4
#132 0xb710ccd9 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#133 0xb710d122 in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#134 0xb710f49f in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#135 0xb670e527 in QApplication::exec () from /usr/lib/libQtGui.so.4
#136 0xb7f356c1 in kdemain (argc=2, argv=0xbfc86e74) at /home/jan/kdemod/core/kdebase/src/kdebase-4.2.3/apps/konqueror/src/konqmain.cpp:257
#137 0x0804873b in main (argc=2, argv=0xbfc86e74) at /home/jan/kdemod/core/kdebase/src/kdebase-4.2.3/apps/konqueror/src/konqueror_dummy.cpp:3
Comment 1 FiNeX 2009-05-09 13:37:46 UTC
Cannot reproduce using:
  Trunk r965550
  Qt 4.5.1
Comment 2 Dario Andres 2009-05-09 14:42:20 UTC
Here using:

Qt: 4.5.1 (qt-copy  960517)
KDE: 4.2.71 (KDE 4.2.71 (KDE 4.3 >= 20090428))
kdelibs svn rev. 963904 / kdebase svn rev. 963904
on ArchLinux i686 - Kernel 2.6.29.1

I can't reproduce the crash neither
Comment 3 Christoph Berg 2009-05-09 18:18:19 UTC
I'm also using ArchLinux and for KDE I have the current KDEmod 4.2.3 packages installed on i686.

I have tested loading the website and setting a breakpoint on line 175 and for almost 20 times checking the return value of isRootInlineBox() and continuing  in gdb after hiting the breakpoint, until I quit.
Comment 4 Dario Andres 2009-05-19 00:15:29 UTC
*** Bug 193148 has been marked as a duplicate of this bug. ***
Comment 5 Viacheslav Tokarev 2009-05-22 19:04:15 UTC
SVN commit 971542 by vtokarev:

Invalidate and delete line box subtree of the flow when taking out
inline flow objectf rom the rendering tree. We may insert it somewhere afterwards
but still would need to recalculate inline boxes for it.
In theory, we should now better support rendering tree modifications
which was triggered lately by better continuation merge.

Thanks to Maks and Germain for the assistance!

BUG:192380
BUG:190350
BUG:191027
BUG:192105

 M  +31 -0     render_container.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=971542